chat/pidgin - The NetBSD Packages Collection

Multi-protocol GTK instant messaging client

Pidgin is a chat program which lets you log into accounts on multiple chat
networks simultaneously. This means that you can be chatting with friends
on XMPP and sitting in an IRC channel at the same time.

Pidgin is compatible with the following chat networks out of the box:
Jabber/XMPP, Bonjour, Gadu-Gadu, IRC, Novell GroupWise Messenger, Lotus
Sametime, SILC, SIMPLE, and Zephyr. It can support many more with plugins.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers lang/python38 devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

sysutils/dbus sysutils/dbus-glib devel/glib2 textproc/gtkspell x11/gtk2 graphics/hicolor-icon-theme x11/libXScrnSaver multimedia/gstreamer1 multimedia/gst-plugins1-base chat/farstream chat/libpurple textproc/libxml2 devel/libidn sysutils/desktop-file-utils sysutils/dbus-glib devel/glib2 textproc/gtkspell x11/gtk2 graphics/hicolor-icon-theme multimedia/gstreamer1 multimedia/gst-plugins1-base chat/libpurple textproc/libxml2 devel/libidn sysutils/desktop-file-utils

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpidgin-2.14.1nb3.tgz
NetBSD 8.0earmv7hfpidgin-2.14.1nb2.tgz
NetBSD 8.0earmv7hfpidgin-2.14.1nb3.tgz
NetBSD 8.0i386pidgin-2.14.1nb2.tgz
NetBSD 8.0i386pidgin-2.14.1nb3.tgz
NetBSD 8.0i386pidgin-2.14.1nb3.tgz
NetBSD 8.0x86_64pidgin-2.14.1nb3.tgz
NetBSD 8.0x86_64pidgin-2.14.1nb2.tgz
NetBSD 8.0x86_64pidgin-2.14.1nb3.tgz
NetBSD 9.0aarch64pidgin-2.14.1nb3.tgz
NetBSD 9.0aarch64pidgin-2.14.1nb2.tgz
NetBSD 9.0aarch64pidgin-2.14.1nb3.tgz
NetBSD 9.0alphapidgin-2.14.1nb3.tgz
NetBSD 9.0alphapidgin-2.14.1nb2.tgz
NetBSD 9.0alphapidgin-2.14.1nb3.tgz
NetBSD 9.0earmpidgin-2.14.1nb3.tgz
NetBSD 9.0earmv6hfpidgin-2.14.1nb3.tgz
NetBSD 9.0earmv6hfpidgin-2.14.1nb2.tgz
NetBSD 9.0earmv6hfpidgin-2.14.1nb3.tgz
NetBSD 9.0earmv6hfpidgin-2.14.1nb3.tgz
NetBSD 9.0earmv7hfpidgin-2.14.1nb3.tgz
NetBSD 9.0earmv7hfpidgin-2.14.1nb2.tgz
NetBSD 9.0earmv7hfpidgin-2.14.1nb3.tgz
NetBSD 9.0earmv7hfpidgin-2.14.1nb3.tgz
NetBSD 9.0earmv7hfpidgin-2.14.1nb3.tgz
NetBSD 9.0i386pidgin-2.14.1nb2.tgz
NetBSD 9.0i386pidgin-2.14.1nb3.tgz
NetBSD 9.0i386pidgin-2.14.1nb3.tgz
NetBSD 9.0mips64ebpidgin-2.14.1nb3.tgz
NetBSD 9.0mips64ebpidgin-2.14.1nb3.tgz
NetBSD 9.0sparc64pidgin-2.14.1nb3.tgz
NetBSD 9.0sparc64pidgin-2.14.1.tgz
NetBSD 9.0sparc64pidgin-2.14.1nb2.tgz
NetBSD 9.0sparc64pidgin-2.14.1nb3.tgz
NetBSD 9.0x86_64pidgin-2.14.1nb3.tgz
NetBSD 9.0x86_64pidgin-2.14.1nb3.tgz
NetBSD 9.0x86_64pidgin-2.14.1nb3.tgz
NetBSD 9.0x86_64pidgin-2.14.1nb3.tgz
NetBSD 9.0x86_64pidgin-2.14.1nb2.tgz
NetBSD 9.0x86_64pidgin-2.14.1nb3.tgz
NetBSD 9.0x86_64pidgin-2.14.1nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

dbus
Enable dbus (desktop bus) support.
debug
Enable debugging facilities in the package.
gtkspell
Enable gtkspell support.
x11
Enable X11 support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.